Skip to main content
PUT
/
api
/
v1
/
status-pages
/
{statusPageId}
/
static-components
/
{componentId}
/
overrides
/
{date}
Upsert a daily override for a static component
curl --request PUT \
  --url https://api.example.com/api/v1/status-pages/{statusPageId}/static-components/{componentId}/overrides/{date} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "majorOutageMinutes": 123,
  "partialOutageMinutes": 123
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

componentId
string
required
date
string
required

Body

application/json
majorOutageMinutes
number
required
partialOutageMinutes
number
required

Response

200 - undefined